Subject: Re: [PATCH v2 1/3] t: fix quotes tests for --pathspec-from-file

From: Jonathan Nieder <[email-masked]>
Date: Mon, 30 Dec 2019 16:26:07 -0800

Eric Sunshine wrote:

> But is the "no newline" bit indeed intentional? If not, then a simple
> echo would be even easier (though with a bit more escaping):
>
>     echo "\"file\101.t\"" | git checkout --pathspec-from-file=- HEAD^1 &&

For portability, that would be

	printf "%s\n" "\"file\101.t\"" | ...

because some implementations of echo interpret escapes by default.

Thanks,
Jonathan